Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
db_file_folder| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| parent_id |
Reference to a parent folder (in case of Child/Parent) when adding/updating folder |
globally unique identifier | |
| parent_reference_back_office |
Reference to a parent folder (in case of Child/Parent) when adding/updating folder |
string | |
| parent_db_file_folder |
Reference to a parent folder (in case of Child/Parent) using embedded entity when adding/updating folder |
db_file_folder | |
| name | string |
Required Max length: 255 |
|
| description |
Description of the folder |
string |
Max length: 255 |
| sequence |
Sorting field (0 first) |
integer | |
| is_sales |
Indicate that this folder should be shown on the Sales environemnt (Company/Contact details) |
boolean | |
| is_services |
Indicate that this folder should be shown on the Services environemnt (Task/Project and Jobs details) |
boolean | |
| is_articles |
Indicate that this folder should be shown on the Article Details |
boolean | |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "3ed5e64e-c436-47b0-9954-5e830745a4a6",
"parent_id": "58d88d8d-b02e-4aaf-b7bf-cbff93803b47",
"parent_reference_back_office": "sample string 3",
"name": "sample string 4",
"description": "sample string 5",
"sequence": 6,
"is_sales": true,
"is_services": true,
"is_articles": true,
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-08-07T02:08:20.5633349+00:00"
}